zenilib: zenilib/jni/external/openal-soft/OpenAL32/alThunk.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
alThunk.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include "alMain.h"`
`#include "alThunk.h"`

Go to the source code of this file.

## Functions

void | FreeThunkEntry (ALuint index)
ALenum | NewThunkEntry (ALuint *index)
void | ThunkExit (void)
void | ThunkInit (void)

## Variables

static ALenum * | ThunkArray
static ALuint | ThunkArraySize
static RWLock | ThunkLock

## Function Documentation

void FreeThunkEntry | ( | ALuint | index | ) |

Definition at line 83 of file alThunk.c.

References AL_FALSE, ReadLock(), ReadUnlock(), ThunkArray, and ThunkArraySize.

Referenced by alDeleteAuxiliaryEffectSlots(), alDeleteBuffers(), alDeleteEffects(), alDeleteFilters(), alDeleteSources(), alGenAuxiliaryEffectSlots(), alGenBuffers(), alGenEffects(), alGenFilters(), alGenSources(), ReleaseALAuxiliaryEffectSlots(), ReleaseALBuffers(), ReleaseALEffects(), ReleaseALFilters(), and ReleaseALSources().

ALenum NewThunkEntry | ( | ALuint * | index | ) |

Definition at line 47 of file alThunk.c.

References AL_FALSE, AL_NO_ERROR, AL_OUT_OF_MEMORY, AL_TRUE, ERR, i, memset, ReadLock(), ReadUnlock(), realloc, ThunkArray, ThunkArraySize, WriteLock(), and WriteUnlock().

Referenced by alGenAuxiliaryEffectSlots(), alGenBuffers(), alGenEffects(), alGenFilters(), and alGenSources().

void ThunkExit | ( | void |  | ) |

Definition at line 40 of file alThunk.c.

References free, NULL, ThunkArray, and ThunkArraySize.

Referenced by alc_deinit_safe().

void ThunkInit | ( | void |  | ) |

Definition at line 33 of file alThunk.c.

References calloc, RWLockInit(), ThunkArray, and ThunkArraySize.

Referenced by alc_init().

## Variable Documentation

ALenum* ThunkArray

static

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 29 of file alThunk.c.

Referenced by FreeThunkEntry(), NewThunkEntry(), ThunkExit(), and ThunkInit().

ALuint ThunkArraySize

static

Definition at line 30 of file alThunk.c.

Referenced by FreeThunkEntry(), NewThunkEntry(), ThunkExit(), and ThunkInit().

RWLock ThunkLock

static

Definition at line 31 of file alThunk.c.